PDA

View Full Version : ExtJs 4.2.0 minified app still needs non-minified files to run



jjSinang
7 Jan 2014, 2:51 AM
I minified my app that uses ExtJS 4.2.0 (free version) using Sencha SDK Tools 2.0.0 beta3, and the app was built successfully. However, when I try deleting the old "app" folder containing my old classes, the app no longer works.

I also tried generating a new app using Sencha CMD 4.0.1.45 and then adding my classes, but the results are the same.

I am confused why this happens, because as I understood it, your old classes are not needed to deploy production app.

I used Firebug and saw in the DOM that the app, along with my classes, are loaded.

I also noticed that "app-all.js" defines classes like

Ext.define("MyApp.view.MyClass"...

Is this really how it is supposed to behave? or am I missing something?

Thanks in advance!

jjSinang
7 Jan 2014, 11:24 PM
Okay, I got it. A .js file in my application calls Ext.require on itself, causing the app wiring go crazy.